Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.sdoc
Class SchemaDocumentManager

    java.lang.Object
      com.saxonica.sdoc.SchemaDocumentManager

    public class SchemaDocumentManager

extends Object

While schemas are being read, this class keeps track of which documents are currently being read and which have already been read.

Constructor Summary
`SchemaDocumentManager()`

Method Summary
`XSDSchema` | `getExistingSchemaDocument(String systemId)`
`PipelineConfiguration` | `getPipelineConfiguration()`
`boolean` | `isBeingRead(String systemId)`
`void` | `markAsRead(String systemId, XSDSchema schema)`
`void` | `setBeingRead(String systemId)`
`void` | `setPipelineConfiguration(PipelineConfiguration pipelineConfiguration)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaDocumentManager

    public SchemaDocumentManager()

Method Detail

### setBeingRead

    public void setBeingRead(String systemId)

### isBeingRead

    public boolean isBeingRead(String systemId)

### markAsRead

    public void markAsRead(String systemId,
                           XSDSchema schema)

### getExistingSchemaDocument

    public XSDSchema getExistingSchemaDocument(String systemId)

### getPipelineConfiguration

    public PipelineConfiguration getPipelineConfiguration()

### setPipelineConfiguration

    public void setPipelineConfiguration(PipelineConfiguration pipelineConfiguration)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.